#ifndef _LINUX_WAIT_H
#define _LINUX_WAIT_H

#if defined(__GLIBC__)

#if defined(__GNUC__) && !defined(__STRICT_ANSI__)
#warning "You should include <sys/wait.h>. This time I will do it for you."
#endif
#include <sys/wait.h>

#else /* Not Glibc */

#define WNOHANG         0x00000001
#define WUNTRACED       0x00000002
#define WSTOPPED        WUNTRACED
#define WEXITED         0x00000004
#define WCONTINUED      0x00000008
#define WNOWAIT         0x01000000      /* Don't reap, just poll status.  */

#define __WNOTHREAD     0x20000000      /* Don't wait on children of other threads in this group */
#define __WALL          0x40000000      /* Wait on all children, regardless of type */
#define __WCLONE        0x80000000      /* Wait only on non-SIGCHLD children */

/* First argument to waitid: */
#define P_ALL           0
#define P_PID           1
#define P_PGID          2

#endif /* not modern glibc */

#endif /* _LINUX_WAIT_H */
